/* Prototypes for functions defined in gadgetlib.c */
struct Gadget *BuildBoolGadget(struct NewWindow *nw,
                               char *text,
                               int left,
                               int top,
                               int xsize,
                               int ysize,
                               int textpen,
                               int tlpen,
                               int brpen,
                               int toggle,
                               int selected);
int MakeGadgText(struct Gadget *gadg,
                 char *text,
                 int textpen);
int MakeGadgBorder(struct Gadget *gadg,
                   int tlpen,
                   int brpen);
struct Gadget *FreeSTSGadgets(struct Gadget *firstgadget);
int FreeBorders(struct Border *bord);
int FreeIText(struct IntuiText *itext);
struct Gadget *BuildStringGadget(struct NewWindow *nw,
                                 char *textbuffer,
                                 int nchar,
                                 int left,
                                 int top,
                                 int size,
                                 int tlpen,
                                 int brpen,
                                 int justification,
                                 int int_gadg);
int MakeGadgDBorder(struct Gadget *gadg,
                    int tlpen,
                    int brpen);
int MakeStringInfo(struct Gadget *gadg,
                   char *textbuffer,
                   int nchar);
struct IntuiText *MakeText(struct IntuiText *itext,
                           char *text,
                           int pen,
                           int xpos,
                           int ypos,
                           int justification);
struct Gadget *WaitForEndGadget(struct Window *Wind);
int MakeEndGadget(struct Gadget *gadg);
struct NewWindow *BuildWindow(struct Screen *scrn,
                              int left,
                              int top,
                              int width,
                              int height,
                              char *title,
                              int sizing,
                              int closegadget);
int SelectPens(struct Screen *scrn,
               int *tlpen,
               int *brpen);
struct Menu *BuildMenu(struct Screen *scrn,
                       struct Menu *prevmenu,
                       char *text);
struct MenuItem *BuildMenuItem(struct Screen *scrn,
                               int type,
                               APTR *parent,
                               char *text,
                               char altkey,
                               int fpen,
                               int bpen,
                               int check,
                               int font);
int FreeSTSMenus(struct Menu *menu);
struct Gadget *BuildCheckBox(struct NewWindow *nw,
                             char *text,
                             int left,
                             int top,
                             int textpen,
                             int tlpen,
                             int brpen,
                             int selected,
                             int justif);
int MakeCheckText(struct Gadget *gadg,
                  char *text,
                  int textpen,
                  int justif);
int MxMenu(struct Menu *parent,
           struct MenuItem *menuitem1,
           struct MenuItem *menuitem2);
struct Gadget *BuildSliderGadget(struct NewWindow *nw,
                                 int left,
                                 int top,
                                 int size,
                                 int max,
                                 int nstep,
                                 int level,
                                 int tlpen,
                                 int brpen,
                                 int orientation);
int MakePropInfo(struct Gadget *gadg,
                 int max,
                 int nstep,
                 int level,
                 int orientation);
int MakePropBorder(struct Gadget *parent,
                   int tlpen,
                   int brpen);
struct Gadget *BuildRadioButton(struct NewWindow *nw,
                                char *text,
                                int left,
                                int top,
                                int textpen,
                                int tlpen,
                                int brpen,
                                int selected,
                                int justification,
                                struct Gadget *glist);
int HandleMXGadget(struct Window *wind,
                   struct Gadget *gadg);
int SwitchMXGads(struct Window *win,
                 struct Gadget *gad1,
                 struct Gadget *gad2);
struct Gadget *BuildCycleGadget(struct NewWindow *nw,
                                char **textarray,
                                int left,
                                int top,
                                int size,
                                int textpen,
                                int tlpen,
                                int brpen);
int MakeCycleBorder(struct Gadget *gadg,
                    int textpen,
                    int tlpen,
                    int brpen);
int MakeCycleText(struct Gadget *gadg,
                  char **textarray,
                  int textpen);
int HandleCycleGadget(struct Window *wind,
                      struct Gadget *gadg);
int HandleSTSGadget(struct Window *wind,
                    struct Gadget *gadg);
int CycleChoice(struct Gadget *gadg);
int DrawFrame(struct RastPort *rp,
              int left,
              int top,
              int width,
              int height,
              int tlpen,
              int brpen,
              int depress);
int BuildFrame(struct NewWindow *nw,
               int left,
               int top,
               int width,
               int height,
               int tlpen,
               int brpen,
               int depressed);
int STSAutoRequest(struct Window *wind,
                   struct IntuiText *itext,
                   struct IntuiText *oktext,
                   struct IntuiText *canceltext,
                   ULONG posflags,
                   ULONG negflags,
                   int xsize,
                   int ysize);
int ReqMessage(struct Window *wind,
               char *string,
               int flag);
int Die(char *string);
